%define firefox_ver      3.0.12
%define firefox_exts     %{_libdir}/firefox-%{firefox_ver}/extensions/

%define thunderbird_ver  2.0.0.22
%define thunderbird_exts %{_libdir}/thunderbird-%{thunderbird_ver}/extensions/

%define exts_version    0
%define exts_release    16%{?dist}

## Adblock Plus

%define adblock_plus_name    adblock_plus
%define adblock_plus_version 1.1
%define adblock_plus_id      d10d0bf8-f5b5-c8b4-a8b2-2b9879e08c5d

## Adblock Plus Element Hiding Helper

%define abp_elhide_name      adblock_plus__element_hiding_helper
%define abp_elhide_version   1.0.6
%define abp_elhide_id        elemhidehelper@adblockplus.org

## Lightning

%define lightning_name       lightning
%define lightning_version    0.9
%define lightning_id         e2fda1a4-762b-4020-b5ad-a41df1933103

## Google Calendar Provider

%define gdata_prov_name      provider_for_google_calendar
%define gdata_prov_version   0.5.2
%define gdata_prov_id        a62ef8ec-5fdc-40c2-873c-223b8a6925cc 

## Google Contacts Plugin

%define gmcont_name	     gmcont
%define gmcont_version       0.5.55
%define gmcont_id	     3550f703-e582-4d05-9a08-453d09bdfdc6

### VCS support

%define vcs_name	     vcs_support
%define vcs_version          0.6.2
%define vcs_id               efcbec50-6821-11db-bd13-0800200c9a66 

### Enigmail 

%define enigmail_name        enigmail
%define enigmail_version     0.96.0
%define enigmail_id          847b3a00-7ab1-11d4-8f02-006008948af5

### Sage-Too

%define sage_name	     sage-too
%define sage_version         1.0.1
%define sage_id              0f9daf7e-2ee2-4fcf-9d4f-d43d93963420

### NoScript

%define noscript_name	     noscript
%define noscript_version     1.9.7
%define noscript_id          73a6fe31-595d-460b-a920-fcc0f8843232


### Moonlight

%define moonlight_name      moonlight
%define moonlight_version   1.0.1
%define moonlight_id        moonlight@novell.com

%define debug_package %{nil}

Name: firefox-thunderbird-add-ons
License: GPL
Group: Applications/Internet
Summary: Extensions and Add-ons for Firefox and Thunderbird
Version: %{exts_version}
Release: %{exts_release}
Packager: Jaroslaw Polok <jaroslaw.polok@cern.ch>
Vendor: CERN, http://cern.ch/linux
Source0:   thunderbird-firefox-extensions.README.tgz
Source1:   %{adblock_plus_name}-%{adblock_plus_version}-fx+sm+tb.xpi
Source2:   %{abp_elhide_name}-%{abp_elhide_version}-fx+sm+tb.xpi
Source301: %{lightning_name}-%{lightning_version}.linux-i686.xpi
Source302: %{lightning_name}-%{lightning_version}-linux-x86_64.xpi
Source4:   %{gdata_prov_name}-%{gdata_prov_version}-sb+tb.xpi
Source501: %{enigmail_name}-%{enigmail_version}-tb+sm-linux.xpi
Source502: %{enigmail_name}-%{enigmail_version}-linux-x86_64.xpi
Source6:   %{sage_name}-%{sage_version}-fx.xpi
Source7:   %{noscript_name}-%{noscript_version}.xpi
Source801: novell-%{moonlight_name}-%{moonlight_version}-i586.xpi
Source802: novell-%{moonlight_name}-%{moonlight_version}-x86_64.xpi
Source9:   %{vcs_name}-%{vcs_version}-tb+sb.xpi
Source10:  %{gmcont_name}0555.xpi

ExclusiveArch: i386 x86_64
BuildRoot: %{_tmppath}/%{name}-%{version}-build
BuildRequires: unzip

%description
AddOns and Extensions for Firefox and Thunderbird.
These install at global system level making these extensions
available to all system users.


#
# Adblock Plus
#

%define aname %{adblock_plus_name}
%define afullname "Adblock Plus Add-on"
%define aversion %{adblock_plus_version}
%define aurl "https://addons.mozilla.org/en-US/firefox/addon/1865"
%define adescription "%{afullname}, version %{aversion}. See %{aurl} for information."

%package -n firefox-add-on-%{aname}
License: GPL
URL: %{aurl}
Group: Applications/Internet
Summary: Firefox %{afullname}
Version: %{exts_version}_%{aversion}
Release: %{exts_release}
Requires: firefox = %{firefox_ver}

%description -n firefox-add-on-%{aname}
Firefox %{adescription}


%package -n thunderbird-add-on-%{aname}
License: GPL
URL: %{aurl}
Group: Applications/Internet
Summary: Thunderbird %{afullname}
Version: %{exts_version}_%{aversion}
Release: %{exts_release}
Requires: thunderbird = %{thunderbird_ver}

%description -n thunderbird-add-on-%{aname}
Thunderbird %{adescription}

#
# Adblock Plus Element Hiding Helper
#

%define aname %{abp_elhide_name}
%define afullname "Adblock Plus Element Hiding Helper Add-on"
%define aversion %{abp_elhide_version}
%define aurl "https://addons.mozilla.org/en-US/firefox/addon/4364"
%define adescription "%{afullname}, version %{aversion}. See %{aurl} for information."

%package -n firefox-add-on-%{aname}
License: GPL
URL: %{aurl}
Group: Applications/Internet
Summary: Firefox %{afullname}
Version: %{exts_version}_%{aversion}
Release: %{exts_release}
Requires: firefox = %{firefox_ver}
Requires: firefox-add-on-%{adblock_plus_name} >= %{exts_version}_%{adblock_plus_version}
%description -n firefox-add-on-%{aname}
Firefox %{adescription}

%package -n thunderbird-add-on-%{aname}
License: GPL
URL: %{aurl}
Group: Applications/Internet
Summary: Thunderbird %{afullname}
Version: %{exts_version}_%{aversion}
Release: %{exts_release}
Requires: thunderbird = %{thunderbird_ver}
Requires: thunderbird-add-on-%{adblock_plus_name} >= %{exts_version}_%{adblock_plus_version}

%description -n thunderbird-add-on-%{aname}
Thunderbird %{adescription}

#
# Moonlight 
#

%define aname %{moonlight_name}
%define afullname "Moonlight (Microsoft Silverlight for Linux) Add-on"
%define aversion %{moonlight_version}
%define aurl "http://www.go-mono.com/moonlight/"
%define adescription "%{afullname}, version %{aversion}. See %{aurl} for information."

%package -n firefox-add-on-%{aname}
License: GPL
URL: %{aurl}
Group: Applications/Internet
Summary: Firefox %{afullname}
Version: %{exts_version}_%{aversion}
Release: %{exts_release}
Requires: firefox = %{firefox_ver}
Requires: compat-expat2 >= 2.0.1
%description -n firefox-add-on-%{aname}
Firefox %{adescription}


#
# Lightning 
#

%define aname %{lightning_name}
%define afullname "Lightning (calendar) Add-on"
%define aversion %{lightning_version}
%define aurl "https://addons.mozilla.org/en-US/thunderbird/addon/2313"
%define adescription "%{afullname}, version %{aversion}. See %{aurl} for information."

%package -n thunderbird-add-on-%{aname}
License: MPL
URL: %{aurl}
Group: Applications/Internet
Summary: Thunderbird %{afullname}
Version: %{exts_version}_%{aversion}
Release: %{exts_release}
Requires: thunderbird = %{thunderbird_ver}
Provides: thunderbird-add-on-%{aname}
Provides: thunderbird-add-on-%{aname} = %{exts_version}_%{aversion}-%{exts_release}
AutoReqProv: No
# or rpm will scream about libxpcom_*.so


%description -n thunderbird-add-on-%{aname}
Thunderbird %{adescription}

#
# Google Calendar Provider
#

%define aname %{gdata_prov_name}
%define afullname "Provider for Google Calendar Add-on"
%define aversion %{gdata_prov_version}
%define aurl "https://addons.mozilla.org/en-US/thunderbird/addon/4631"
%define adescription "%{afullname}, version %{aversion}. See %{aurl} for information."

%package -n thunderbird-add-on-%{aname}
License: GPL
URL: %{aurl}
Group: Applications/Internet
Summary: Thunderbird %{afullname}
Version: %{exts_version}_%{aversion}
Release: %{exts_release}
Requires: thunderbird = %{thunderbird_ver}
Requires: thunderbird-add-on-%{lightning_name} = %{exts_version}_%{lightning_version}

%description -n thunderbird-add-on-%{aname}
Thunderbird %{adescription}

#
# Google Contacts
#

%define aname %{gmcont_name}
%define afullname "Google Contacts Add-on"
%define aversion %{gmcont_version}
%define aurl "https://addons.mozilla.org/en-US/thunderbird/addon/7307"
%define adescription "%{afullname}, version %{aversion}. See %{aurl} for information."

%package -n thunderbird-add-on-%{aname}
License: GPL
URL: %{aurl}
Group: Applications/Internet
Summary: Thunderbird %{afullname}
Version: %{exts_version}_%{aversion}
Release: %{exts_release}
Requires: thunderbird = %{thunderbird_ver}

%description -n thunderbird-add-on-%{aname}
Thunderbird %{adescription}


#
# VCS support
#

%define aname %{vcs_name}
%define afullname "VCS file support Add-on"
%define aversion %{vcs_version}
%define aurl "https://addons.mozilla.org/en-US/thunderbird/addon/4721"
%define adescription "%{afullname}, version %{aversion}. See %{aurl} for information."

%package -n thunderbird-add-on-%{aname}
License: GPL
URL: %{aurl}
Group: Applications/Internet
Summary: Thunderbird %{afullname}
Version: %{exts_version}_%{aversion}
Release: %{exts_release}
Requires: thunderbird = %{thunderbird_ver}
Requires: thunderbird-add-on-%{lightning_name} = %{exts_version}_%{lightning_version}

%description -n thunderbird-add-on-%{aname}
Thunderbird %{adescription}

#
# Enigmail
#

%define aname %{enigmail_name}
%define afullname "Enigmail OpenPGP Add-on"
%define aversion %{enigmail_version}
%define aurl "https://addons.mozilla.org/en-US/thunderbird/addon/71"
%define adescription "%{afullname}, version %{aversion}. See %{aurl} for information."

%package -n thunderbird-add-on-%{aname}
License: GPL
URL: %{aurl}
Group: Applications/Internet
Summary: Thunderbird %{afullname}
Version: %{exts_version}_%{aversion}
Release: %{exts_release}
Requires: thunderbird = %{thunderbird_ver}
Requires: gnupg >= 1.4.5
Provides: thunderbird-add-on-%{aname}
Provides: thunderbird-add-on-%{aname} = %{exts_version}_%{aversion}-%{exts_release}
AutoReqProv: No
# or rpm will scream about libxpcom_*.so

%description -n thunderbird-add-on-%{aname}
Thunderbird %{adescription}

#
# Sage-Too
#

%define aname %{sage_name}
%define afullname "Sage-Too RSS Add-on"
%define aversion %{sage_version}
%define aurl "https://addons.mozilla.org/en-US/thunderbird/addon/7263"
%define adescription "%{afullname}, version %{aversion}. See %{aurl} for information."

%package -n firefox-add-on-%{aname}
License: GPL
URL: %{aurl}
Group: Applications/Internet
Summary: Firefox %{afullname}
Version: %{exts_version}_%{aversion}
Release: %{exts_release}
Requires: firefox = %{firefox_ver}

%description -n firefox-add-on-%{aname}
Firefox %{adescription}

#
# NoScript
#

%define aname %{noscript_name}
%define afullname "NoScript Add-on"
%define aversion %{noscript_version}
%define aurl "https://addons.mozilla.org/en-US/thunderbird/addon/722"
%define adescription "%{afullname}, version %{aversion}. See %{aurl} for information."

%package -n firefox-add-on-%{aname}
License: GPL
URL: %{aurl}
Group: Applications/Internet
Summary: Firefox %{afullname}
Version: %{exts_version}_%{aversion}
Release: %{exts_release}
Requires: firefox = %{firefox_ver}

%description -n firefox-add-on-%{aname}
Firefox %{adescription}


%prep 
rm -rf %{buildroot}
%setup -n %{name}-%{exts_version} -c -T -a 0

%build

%install

cp thunderbird-firefox-extensions.README README
%{__mkdir} -p $RPM_BUILD_ROOT/%{firefox_exts}/
%{__mkdir} -p $RPM_BUILD_ROOT/%{thunderbird_exts}/

#
# Adblock Plus
#
%{__unzip} -d $RPM_BUILD_ROOT/%{firefox_exts}/%{adblock_plus_name}-%{adblock_plus_version}/ %{SOURCE1}
%{__unzip} -d $RPM_BUILD_ROOT/%{thunderbird_exts}/%{adblock_plus_name}-%{adblock_plus_version}/ %{SOURCE1}
cd $RPM_BUILD_ROOT/%{firefox_exts}/
ln -sf %{adblock_plus_name}-%{adblock_plus_version} \{%{adblock_plus_id}\}
cd $RPM_BUILD_ROOT/%{thunderbird_exts}/
ln -sf %{adblock_plus_name}-%{adblock_plus_version} \{%{adblock_plus_id}\}

#
# Adblock Plus Element Hiding Helper
#

%{__unzip} -d $RPM_BUILD_ROOT/%{firefox_exts}/%{abp_elhide_name}-%{abp_elhide_version}/ %{SOURCE2}
%{__unzip} -d $RPM_BUILD_ROOT/%{thunderbird_exts}/%{abp_elhide_name}-%{abp_elhide_version}/ %{SOURCE2}
cd $RPM_BUILD_ROOT/%{firefox_exts}/
ln -sf %{abp_elhide_name}-%{abp_elhide_version} \{%{abp_elhide_id}\}
cd $RPM_BUILD_ROOT/%{thunderbird_exts}/
ln -sf %{abp_elhide_name}-%{abp_elhide_version} \{%{abp_elhide_id}\}

#
# Lightning
#

%ifarch x86_64
%{__unzip} -d $RPM_BUILD_ROOT/%{thunderbird_exts}/%{lightning_name}-%{lightning_version}/ %{SOURCE302}
%else
%{__unzip} -d $RPM_BUILD_ROOT/%{thunderbird_exts}/%{lightning_name}-%{lightning_version}/ %{SOURCE301}
%endif
cd $RPM_BUILD_ROOT/%{thunderbird_exts}/
ln -sf %{lightning_name}-%{lightning_version} \{%{lightning_id}\}

#
# Provider for Google Calendar
#
%{__unzip} -d $RPM_BUILD_ROOT/%{thunderbird_exts}/%{gdata_prov_name}-%{gdata_prov_version}/ %{SOURCE4}
cd $RPM_BUILD_ROOT/%{thunderbird_exts}/
ln -sf %{gdata_prov_name}-%{gdata_prov_version} \{%{gdata_prov_id}\}

#
# Google Contacts
#
%{__unzip} -d $RPM_BUILD_ROOT/%{thunderbird_exts}/%{gmcont_name}-%{gmcont_version}/ %{SOURCE10}
cd $RPM_BUILD_ROOT/%{thunderbird_exts}/
ln -sf %{gmcont_name}-%{gmcont_version} \{%{gmcont_id}\}


#
# Enigmail
#
%ifarch x86_64
%{__unzip} -d $RPM_BUILD_ROOT/%{thunderbird_exts}/%{enigmail_name}-%{enigmail_version}/ %{SOURCE502}
%else
%{__unzip} -d $RPM_BUILD_ROOT/%{thunderbird_exts}/%{enigmail_name}-%{enigmail_version}/ %{SOURCE501}
%endif
cd $RPM_BUILD_ROOT/%{thunderbird_exts}/
ln -sf %{enigmail_name}-%{enigmail_version} \{%{enigmail_id}\}

#
# Sage-Too
#
%{__unzip} -d $RPM_BUILD_ROOT/%{firefox_exts}/%{sage_name}-%{sage_version}/ %{SOURCE6}
cd $RPM_BUILD_ROOT/%{firefox_exts}/
ln -sf %{sage_name}-%{sage_version} \{%{sage_id}\}

#
# NoScript
#
%{__unzip} -d $RPM_BUILD_ROOT/%{firefox_exts}/%{noscript_name}-%{noscript_version}/ %{SOURCE7}
cd $RPM_BUILD_ROOT/%{firefox_exts}/
ln -sf %{noscript_name}-%{noscript_version} \{%{noscript_id}\}

#
# VCS Support
#
%{__unzip} -d $RPM_BUILD_ROOT/%{thunderbird_exts}/%{vcs_name}-%{vcs_version}/ %{SOURCE9}
cd $RPM_BUILD_ROOT/%{thunderbird_exts}/
ln -sf %{vcs_name}-%{vcs_version} \{%{vcs_id}\}

#
# Moonlight
#
%ifarch x86_64
%{__unzip} -d $RPM_BUILD_ROOT/%{firefox_exts}/%{moonlight_name}-%{moonlight_version}/ %{SOURCE802}
%else
%{__unzip} -d $RPM_BUILD_ROOT/%{firefox_exts}/%{moonlight_name}-%{moonlight_version}/ %{SOURCE801}
%endif
cd $RPM_BUILD_ROOT/%{firefox_exts}/
ln -sf %{moonlight_name}-%{moonlight_version} %{moonlight_id}



%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README

%files -n firefox-add-on-%{adblock_plus_name}
%defattr(-,root,root,-)
%{firefox_exts}/{%{adblock_plus_id}}
%{firefox_exts}/%{adblock_plus_name}-%{adblock_plus_version}/*

%files -n thunderbird-add-on-%{adblock_plus_name}
%defattr(-,root,root,-)
%{thunderbird_exts}/{%{adblock_plus_id}}
%{thunderbird_exts}/%{adblock_plus_name}-%{adblock_plus_version}/*


%files -n firefox-add-on-%{abp_elhide_name}
%defattr(-,root,root,-)
%{firefox_exts}/{%{abp_elhide_id}}
%{firefox_exts}/%{abp_elhide_name}-%{abp_elhide_version}/*

%files -n thunderbird-add-on-%{abp_elhide_name}
%defattr(-,root,root,-)
%{thunderbird_exts}/{%{abp_elhide_id}}
%{thunderbird_exts}/%{abp_elhide_name}-%{abp_elhide_version}/*


%files -n thunderbird-add-on-%{lightning_name}
%defattr(-,root,root,-)
%{thunderbird_exts}/{%{lightning_id}}
%{thunderbird_exts}/%{lightning_name}-%{lightning_version}/*


%files -n thunderbird-add-on-%{gdata_prov_name}
%defattr(-,root,root,-)
%{thunderbird_exts}/{%{gdata_prov_id}}
%{thunderbird_exts}/%{gdata_prov_name}-%{gdata_prov_version}/*


%files -n thunderbird-add-on-%{gmcont_name}
%defattr(-,root,root,-)
%{thunderbird_exts}/{%{gmcont_id}}
%{thunderbird_exts}/%{gmcont_name}-%{gmcont_version}/*


%files -n thunderbird-add-on-%{vcs_name}
%defattr(-,root,root,-)
%{thunderbird_exts}/{%{vcs_id}}
%{thunderbird_exts}/%{vcs_name}-%{vcs_version}/*

%files -n thunderbird-add-on-%{enigmail_name}
%defattr(-,root,root,-)
%{thunderbird_exts}/{%{enigmail_id}}
%{thunderbird_exts}/%{enigmail_name}-%{enigmail_version}/*

%files -n firefox-add-on-%{sage_name}
%defattr(-,root,root,-)
%{firefox_exts}/{%{sage_id}}
%{firefox_exts}/%{sage_name}-%{sage_version}/*

%files -n firefox-add-on-%{noscript_name}
%defattr(-,root,root,-)
%{firefox_exts}/{%{noscript_id}}
%{firefox_exts}/%{noscript_name}-%{noscript_version}/*
%{firefox_exts}/%{noscript_name}-%{noscript_version}/.autoreg

%files -n firefox-add-on-%{moonlight_name}
%defattr(-,root,root,-)
%{firefox_exts}/%{moonlight_id}
%{firefox_exts}/%{moonlight_name}-%{moonlight_version}/*

%changelog
* Tue Jul 28 2009 Jaroslaw Polok <jaroslaw.polok@cern.ch>
- added: Google Contacts
- updated: Google Calendar provider, Enigmail, AdBlock Plus,
           Adblock Element Hiding Helper, NoScript

* Wed Mar 11 2009 Jaroslaw Polok <jaroslaw.polok@cern.ch>
- added: VCS support, Moonlight

* Tue Jan 13 2009 Jaroslaw Polok <jaroslaw.polok@cern.ch>
- updated: Adblock plus, NoScript, Provider for Google Calendar
* Wed Oct 08 2008 Jaroslaw Polok <jaroslaw.polok@cern.ch>
- initial package 
